Bug 1026075 - SELinux is preventing /usr/bin/qemu-system-x86_64 from 'open' accesses on the file /run/media/FBallack13/Ballack/Windows_7_Ultimate_7200_X64_ptb.iso.
SELinux is preventing /usr/bin/qemu-system-x86_64 from 'open' accesses on the...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d124388b1722af68e5d79d0be48...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-03 07:35 EST by fabioballack_13
Modified: 2013-11-25 07:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 07:41:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fabioballack_13 2013-11-03 07:35:10 EST
Description of problem:
It happens when I've tried to open a Windows 7 image using the Boxes.
SELinux is preventing /usr/bin/qemu-system-x86_64 from 'open' accesses on the file /run/media/FBallack13/Ballack/Windows_7_Ultimate_7200_X64_ptb.iso.

*****  Plugin catchall_boolean (89.3 confidence) suggests  *******************

If você deseja allow virt to use fusefs
Then you must tell SELinux about this by enabling the 'virt_use_fusefs' boolean.
You can read 'None' man page for more details.
Do
setsebool -P virt_use_fusefs 1

*****  Plugin catchall (11.6 confidence) suggests  ***************************

If você acredita que o qemu-system-x86_64 deva ser permitido acesso de open em Windows_7_Ultimate_7200_X64_ptb.iso file  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep qemu-system-x86 /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:system_r:svirt_t:s0:c140,c304
Target Context                system_u:object_r:fusefs_t:s0
Target Objects                /run/media/FBallack13/Ballack/Windows_7_Ultimate_7
                              200_X64_ptb.iso [ file ]
Source                        qemu-system-x86
Source Path                   /usr/bin/qemu-system-x86_64
Port                          <Desconhecido>
Host                          (removed)
Source RPM Packages           qemu-system-x86-1.4.2-12.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.10.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.6-200.fc19.x86_64 #1 SMP Fri
                              Oct 18 22:34:18 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-11-03 10:32:10 FNT
Last Seen                     2013-11-03 10:32:10 FNT
Local ID                      8b5013b6-9a3e-4822-a6d0-ce8ec36c81e7

Raw Audit Messages
type=AVC msg=audit(1383481930.727:537): avc:  denied  { open } for  pid=2978 comm="qemu-system-x86" path="/run/media/FBallack13/Ballack/Windows_7_Ultimate_7200_X64_ptb.iso" dev="sda3" ino=166 scontext=unconfined_u:system_r:svirt_t:s0:c140,c304 tcontext=system_u:object_r:fusefs_t:s0 tclass=file


type=SYSCALL msg=audit(1383481930.727:537): arch=x86_64 syscall=open success=no exit=EACCES a0=7f742f410e10 a1=80000 a2=0 a3=1 items=0 ppid=1 pid=2978 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=qemu-system-x86 exe=/usr/bin/qemu-system-x86_64 subj=unconfined_u:system_r:svirt_t:s0:c140,c304 key=(null)

Hash: qemu-system-x86,svirt_t,fusefs_t,file,open

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.6-200.fc19.x86_64
type:           libreport

Potential duplicate: bug 871300
Comment 1 Jan Doumont 2013-11-22 17:11:15 EST
Description of problem:
I tried mounting an iso in a 'Gnome boxes' virtual machine.

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.8-200.fc19.x86_64
type:           libreport
Comment 2 Miroslav Grepl 2013-11-25 07:41:32 EST
If você deseja allow virt to use fusefs
Then you must tell SELinux about this by enabling the 'virt_use_fusefs' boolean.
You can read 'None' man page for more details.
Do


# setsebool -P virt_use_fusefs 1

Note You need to log in before you can comment on or make changes to this bug.